/**
 *
 * $Id: VkComponentList.h,v 1.4 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains my temporary workaround for the
 * missing VkComponentList class.  My work is probably not
 * what will be here forever, but for now, it works... :(
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKCOMPONENTLIST_H
#define VKCOMPONENTLIST_H

#include <Vk/VkConfig.h>
#include <Vk/VkComponent.h>

class VkComponentList {
private:
    int number_of_elements;
    int max_number_of_elements;

    VkComponent **elements;

public:
    VkComponentList();
    
    void add(VkComponent *);
    void remove(VkComponent *);
    
    int size() { return number_of_elements; }

    VkComponent *operator[](int index) { return elements[index]; }
};

#endif /* VKCOMPONENTLIST_H */
